Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80689 - kernel gives bogus "hda: DMA disabled" message.
Summary: kernel gives bogus "hda: DMA disabled" message.
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-29 22:18 UTC by Hans de Goede
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-05 13:36:23 UTC


Attachments (Terms of Use)

Description Hans de Goede 2002-12-29 22:18:33 UTC
kernel gives a bogus "hda: DMA disabled" message. I noticed that the 2.4.20-2.2
kernel gives a bogus hda: DMA disabled message, while it is actually enabled,
some scanning of the source found me this: in drivers/ide/ide.c
if (drive->autotune != 2) {
                /* DMA timings and setup moved to ide-probe.c */
                if (!driver->supports_dma && HWIF(drive)->ide_dma_off_quietly)
//                      HWIF(drive)->ide_dma_off_quietly(drive);
                        HWIF(drive)->ide_dma_off(drive);
                drive->dsc_overlap = (drive->next != drive && driver->supports_
                drive->nice1 = 1;
        }

Look at how for some reason a dma_off_quietly was changed into a dma_off without
beign quiet. Also notice that the code only checks for the availabality of
dma_off_quietly. I think this should be changed back otherwise you'll get lots
of support calls: why is my dma disabled???

Comment 1 Bill Nottingham 2003-01-01 06:01:10 UTC
It actually is disabled when you get that message. There's just no message when
it reenables it.

Comment 2 Hans de Goede 2003-01-01 09:47:16 UTC
I know (after reading the source) but since Joe the average user doesn't read
kernel source does he know?


Comment 3 Alan Cox 2003-06-05 13:36:23 UTC
This is fixed in the base code now



Note You need to log in before you can comment on or make changes to this bug.